QGIS Application - Feature request #3525
Auto resize label box in composer to fit it's contents
2011-02-25 09:49 AM - marisn -

Status: Open

Priority: Low

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 13585
Description

Steps to reproduce:
- Start new print composer
- Add label
- Change labels text from "Quantum GIS" to "Quantum GIS ruleZZZZ!'11111111"
- "Dude, where's my text?!?"

Manual resizing works just fine, still it's not so easy to guess for novice users.

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:26 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0
- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 11:59 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-02-07 01:33 PM - Nyall Dawson

- Tracker changed from Bug report to Feature request
- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

- Start date set to 2014-02-07

- Target version deleted (Version 2.0.0)

- Category changed from 33 to Map Composer/Printing

#5 - 2015-11-20 03:10 AM - Médéric RIBREUX
- Status changed from Open to Feedback

- Target version set to Future Release - Lower Priority
- Operating System deleted (Gentoo)

Hello, bug triage...

this is still the case for QGIS 2.13 master.

We should detect a change in the Label content and automatically resize the Label box, otherwise new content is not displayed by default (which is

annoying).
#6 - 2015-12-22 05:24 AM - Médéric RIBREUX
- Status changed from Feedback to Open

#7 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
